Subject: bug#35564: [PATCH v3] Tweak dired warning about "wildcard" characters

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Jun 2019 17:13:15 +0300

> Date: Fri, 28 Jun 2019 11:43:55 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], Noam Postavsky <[email-masked]>,
>  Stefan Monnier <[email-masked]>
> 
> > > We should not, in any case, _rely_ on any
> > > highlighting to get across meaning (semantics).
> > > Highlighting should always be an extra - a
> > > nice-to-have.  Some users will not see the
> > > highlighting - it cannot be the only thing that
> > > gets the intended meaning across.
> > >
> > > (Again, I'm not saying that we _are_ relying on
> > > highlighting this way.  I just want to be sure
> > > we're not.  We don't want to unnecessarily
> > > introduce an accessibility problem.)
> > 
> > With the current patches, we absolutely totally completely _would_ rely
> > on highlighting to get across semantics.  Thank you for spelling it out
> > as an accessibility problem; that kind of confirms my nagging feeling
> > that the highlighting method has an unfavorable benefit/cost ratio (IOW,
> > it's cute, but it might make things worse for some users).
> 
> There is likely another way to make those occurrences
> stand out (in addition to, not instead of, highlighting).
> But I'm no expert on that.  Maybe Eli has a suggestion.

We could both highlight and underline the relevant text.  We already
do that in other cases.